package com.agri.system.mapper;

import com.agri.system.domain.SysAgriInfo;
import com.agri.system.domain.vo.AgriAutoInfoVo;
import com.agri.system.domain.vo.AgriInfoView;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 大棚管理Mapper接口
 *
 * @author agri
 * @date 2026-01-08
 */
public interface SysAgriInfoMapper extends BaseMapper<SysAgriInfo> {
    /**
     * 查询大棚管理
     *
     * @param id 大棚管理主键
     * @return 大棚管理
     */
    public SysAgriInfo selectSysAgriInfoById(Long id);

    /**
     * 查询大棚管理列表
     *
     * @param sysAgriInfo 大棚管理
     * @return 大棚管理集合
     */
    public List<SysAgriInfo> selectSysAgriInfoList(SysAgriInfo sysAgriInfo);

    /**
     * 新增大棚管理
     *
     * @param sysAgriInfo 大棚管理
     * @return 结果
     */
    public int insertSysAgriInfo(SysAgriInfo sysAgriInfo);

    /**
     * 修改大棚管理
     *
     * @param sysAgriInfo 大棚管理
     * @return 结果
     */
    public int updateSysAgriInfo(SysAgriInfo sysAgriInfo);

    /**
     * 删除大棚管理
     *
     * @param id 大棚管理主键
     * @return 结果
     */
    public int deleteSysAgriInfoById(Long id);

    /**
     * 批量删除大棚管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysAgriInfoByIds(Long[] ids);

    /**
     * 查当前用户下的大棚
     * @param sysAgriInfo
     * @return
     */
    public List<SysAgriInfo> findAgriByUser(SysAgriInfo sysAgriInfo);


    public List<AgriInfoView> findAgriInfoByUser(SysAgriInfo sysAgriInfo);

    List<AgriAutoInfoVo> findAgriOfAutoInfo();
}
